﻿using ModelStateErrors.Models;
using System.Web.Mvc;
using Telerik.Web.Mvc;

namespace ModelStateErrors.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }
        
        [GridAction]
        public ActionResult _Select()
        {
            return View(new GridModel(new [] 
            { 
                new Customer
                {
                    ID = 1,
                    Name = "Customer 1"
                }
            }));
        }        
        
        [GridAction]
        public ActionResult _Update()
        {
            ModelState.AddModelError("Name", "ModelState error added for the Name property");
            
            return View(new GridModel(new [] 
            { 
                new Customer
                {
                    ID = 1,
                    Name = "Customer 1"
                }
            }));
        }
    }
}
